// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.Commands;
import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.Subsystems.Lanceur;
import frc.robot.Subsystems.Limelight3G;

public class FollowAprilTag extends Command {

  private Limelight3G enlignement;
  private Lanceur lanceur;
  /** Creates a new Limelight3g. */
  public FollowAprilTag(Limelight3G enlignement, Lanceur lanceur) {
    // Use addRequirements() here to declare subsystem dependencies.
    this.lanceur = lanceur;
    this.enlignement = enlignement;
    addRequirements(lanceur, enlignement);
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {

    
     if (enlignement.getv()==1)  
      {
        lanceur.tourelRotation(0,0, enlignement.getx()/30);
      }
    
    else
    {
      lanceur.tourelRotation(0, 0, 0);
    }

  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    lanceur.tourelRotation(0, 0, 0);
  }
  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
